GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions
grpc::ClientReader< R > Class Template Reference

`#include <client_context.h>`

## Public Member Functions
template<class W >
| ClientReader (ChannelInterface *channel, const RpcMethod &method, ClientContext *context, const W &request)
void | WaitForInitialMetadata ()
bool | Read (R *msg) GRPC_OVERRIDE
Status | Finish () GRPC_OVERRIDE
Public Member Functions inherited from grpc::ClientStreamingInterface
virtual | ~ClientStreamingInterface ()
Public Member Functions inherited from grpc::ReaderInterface< R >
virtual | ~ReaderInterface ()

## Constructor & Destructor Documentation

template<class R >
template<class W >

grpc::ClientReader< R >::ClientReader | ( | ChannelInterface * | channel,
|  | const RpcMethod & | method,
|  | ClientContext * | context,
|  | const W & | request
| ) |  |
| inline

## Member Function Documentation

template<class R >

Status grpc::ClientReader< R >::Finish | ( |  | ) |
| inline virtual

Implements grpc::ClientStreamingInterface.

template<class R >

bool grpc::ClientReader< R >::Read | ( | R * | msg | ) |
| inline virtual

Implements grpc::ReaderInterface< R >.

template<class R >

void grpc::ClientReader< R >::WaitForInitialMetadata | ( |  | ) |
| inline virtual

Implements grpc::ClientReaderInterface< R >.

The documentation for this class was generated from the following files:

- include/grpc++/client_context.h
- include/grpc++/stream.h